﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using Infragistics.Win.Misc;

namespace WinTilePanelDragDrop
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            foreach (UltraTile panel in ultraTilePanel1.Tiles)
            {
                if (panel.Control is Panel)
                {
                    panel.Control.MouseDown += new MouseEventHandler(Control_MouseDown);
                }
            }
        }

        void Control_MouseDown(object sender, MouseEventArgs e)
        {
            DataObject obj = new DataObject();
            obj.SetData(sender);
            panel1.DoDragDrop(obj, DragDropEffects.Move);
        }

        

        private void ShowDragAllowed(DragEventArgs e)
        {
            Panel pnl = new Panel();
            Type myType = pnl.GetType();

            if (e.Data.GetDataPresent(myType))
            {
                e.Effect = DragDropEffects.Move;
            }
            else
            {
                e.Effect = DragDropEffects.None;
            }
        }

        private void panel1_DragOver(object sender, DragEventArgs e)
        {
            ShowDragAllowed(e);
        }

        private void panel1_DragEnter(object sender, DragEventArgs e)
        {
            ShowDragAllowed(e);
        }

        private void panel1_DragDrop(object sender, DragEventArgs e)
        {
            Panel pnl = (Panel)e.Data.GetData(typeof(Panel));
            panel1.BackColor = pnl.BackColor;

        }


        

        private void panel2_MouseDown(object sender, MouseEventArgs e)
        {

            
        }
    }
}
